package com.zhentao.touristAttractions.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.touristAttractions.domain.Touristattractions;
import com.zhentao.touristAttractions.dto.TouristattrcationDto;
import com.zhentao.touristAttractions.service.TouristattractionsService;
import com.zhentao.touristAttractions.mapper.TouristattractionsMapper;
import com.zhentao.vo.Result;
import org.elasticsearch.client.RestHighLevelClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.List;

/**
* @author 86183
* @description 针对表【TouristAttractions(旅游信息表)】的数据库操作Service实现
* @createDate 2025-05-22 15:42:58
*/
@Service
public class TouristattractionsServiceImpl extends ServiceImpl<TouristattractionsMapper, Touristattractions>
    implements TouristattractionsService{
    @Autowired
    private TouristattractionsMapper mapper;
    @Autowired
    private RestHighLevelClient restHighLevelClient;
    @Override
    public Result findAll(TouristattrcationDto dto) throws IOException {
        QueryWrapper<Touristattractions> queryWrapper = new QueryWrapper<>();
//        queryWrapper.like("address",dto.getAddress());
//        queryWrapper.like("name",dto.getName());
//        queryWrapper.orderByDesc("rating");
        System.err.println(dto);
        List<Touristattractions> list = this.list(queryWrapper);
        List<Touristattractions> touristattractions = mapper.selectList(queryWrapper);
        System.err.println(list);

//        BulkRequest bulkRequest = new BulkRequest("touristattrcation");
//        for (Touristattractions t:touristattractions) {
//            IndexRequest indexRequest = new IndexRequest()
//                    .id(t.getId().toString()).source(JSON.toJSONString(t), XContentType.JSON);
//            bulkRequest.add(indexRequest);
//        }
//        restHighLevelClient.bulk(bulkRequest, RequestOptions.DEFAULT);
        return Result.OK(touristattractions,"查询成功");
    }
}




